Subject: [Fot] Nomination

From: Mike Deweerd <[email-masked]>
Date: Thu, 20 Aug 2015 11:19:49 -0400

Amici 
I have had the pleasure of dealing with a fellow Triumph enthusiast from IL named Tom Lay 
Tom is currently building a Triumph TR4 race car and would appreciate our unlimited advice and opinions to help him get on the track 
Tony Drews has also met Tom as they met to exchange a rear axle housing I purchased from Tom for my TR4A V8 
Street car 
Can I get a second for Tom? 
Cheers 
Mike Deweerd  

Sent from my iPhone
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive